import React from 'react';
import VerticalLine from './VerticalLine';

const SideSteps = ({ step, setStep, stepsContent }) => {
  return (
    <div className="relative">
      <div className="bg-[#EDEDED] rounded-lg py-4 px-8 flex flex-col gap-6">
        {stepsContent.map((item, index) => (
          <div key={item.title}>
            <div className="flex gap-2 items-center relative">
              <div
                className={`w-4 h-4 rounded-full z-10 cursor-pointer transition-colors ${
                  step === item.stepNo ? "bg-brand" : "bg-white"
                }`}
                onClick={() => setStep(item.stepNo)}
              ></div>
              <p className="text-sm font-semibold">{item.title}</p>
              {index !== stepsContent.length - 1 && <VerticalLine />}
            </div>
            <p className="text-tertiary text-xs ps-6 mt-1">Step {item.stepNo}</p>
          </div>
        ))}
      </div>
    </div>
  );
};

export default SideSteps;